=== debian/changelog ===
camldbm (1.0-2) unstable; urgency=low

  * Fix package build on bytecode architectures
  * Install to $(OCAML_STDLIB_DIR)/dbm

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 21:01:17 +0100

camldbm (1.0-1) unstable; urgency=low

  * Initial release (Closes: #731598)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Dec 2013 15:05:21 +0100
