=== debian/control ===
Source: camldbm
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 libgdbm-dev,
 ocaml-nox,
 ocaml-findlib,
 dh-ocaml
Homepage: https://forge.ocamlcore.org/projects/camldbm/
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/camldbm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/camldbm.git

Package: libdbm-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: binding to the NDBM/GDBM Unix databases (runtime)
 This OCaml library is a binding to the NDBM/GDBM Unix databases. It
 provides persistent storage of key-value pairs of strings.
 .
 This package contains only the shared runtime stub libraries.

Package: libdbm-ocaml-dev
Architecture: any
Depends:
 libgdbm-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Description: binding to the NDBM/GDBM Unix databases (development files)
 This OCaml library is a binding to the NDBM/GDBM Unix databases. It
 provides persistent storage of key-value pairs of strings.
 .
 This package contains the development part of the camldbm package.
