=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=278 .*/camldbm-([0-9.]*)\.tar\.gz
